QGIS Application - Bug report #14305
Modeller calculator error
2016-02-16 12:52 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 22296
Description

Checking:

https://github.com/ggis/QGIS-Documentation/blob/master/source/docs/training_manual/processing/modeler _hydro_calculator.rst

| get an error from modeller calculator:

AttributeError: 'NoneType' object has no attribute 'getCopy'

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/modeler/ModelerDialog.py", line 424, in addAlgorithm
self._addAlgorithm(alg.getCopy())

File "/usr/share/qgis/python/plugins/processing/modeler/ModelerDialog.py", line 443, in _addAlgorithm
self.repaintModel()

File "/usr/share/qgis/python/plugins/processing/modeler/ModelerDialog.py", line 374, in repaintModel
self.scene.paintModel(self.alg)

File "/usr/share/qgis/python/plugins/processing/modeler/ModelerScene.py", line 90, in paintModel
item = ModelerGraphicltem(alg, model)

File "/usr/share/qgis/python/plugins/processing/modeler/ModelerGraphicltem.py”, line 59, in init
self.pixmap = element.algorithm.getlcon().pixmap(15, 15)

File "/usr/share/qgis/python/plugins/processing/modeler/ModelerAlgorithm.py", line 110, in algorithm
self._alginstance = ModelerUtils.getAlgorithm(self.consoleName).getCopy()

AttributeError: 'NoneType' object has no attribute 'getCopy'

History

#1 - 2016-02-16 10:59 AM - Alexander Bruy
- Status changed from Open to Feedback

| can't reproduce your error, but Modeler calculator does not works for me too (another error). Can you check if commit:1ffccf05¢9 fixes your issue?

#2 - 2016-02-16 11:08 PM - Paolo Cavallini

Checked, same error.

Thanks.

#3 - 2016-02-17 06:46 AM - Alexander Bruy

2024-03-13 1/3



https://github.com/qgis/QGIS-Documentation/blob/master/source/docs/training_manual/processing/modeler_hydro_calculator.rst

Can not reproduce this error with latest master on Linux and with yesterdays OSGeo4W under Windows.

Are there any other messages, e.g. in the console or in the Log tab of the algorithm?

Model from training manual does not work for me too, but with different error.

#4 - 2016-02-17 11:26 PM - Paolo Cavallini

Tried once more (one numeric input, a*a), still same issue. No other error from either log or console, besides the one reported.

#5 - 2016-03-01 04:17 AM - Gabriel Vatin

- File qgis_error.png added

Hi all,

| have the same error with QGis 2.10 and 2.12 running on Windows... Both versions are on different computers. When | try to edit a first model there is no

error. But then | try to edit an other model (using the first model) and then | have this error. | attach an image of this bug.

Any news from this issue ? Thanks !

#6 - 2016-03-06 02:39 AM - Giovanni Manghi

no error here on the latest master (and Processing shipped with it). Please test and report back.

#7 - 2016-03-15 10:39 AM - Paolo Cavallini

| cannot test on master right now. On 2.8.7, latest released Processing version, | still see the issue. Given that 2.8 is still an LTR, this might require a fix.
Feel free to close it in case you're sure it has been fixed upstream, and no backport is necessary.

#8 - 2016-05-23 06:46 AM - Giovanni Manghi

Paolo Cavallini wrote:

| cannot test on master right now. On 2.8.7, latest released Processing version, | still see the issue. Given that 2.8 is still an LTR, this might require a

fix.

Feel free to close it in case you're sure it has been fixed upstream, and no backport is necessary.

still no errors on master and 2.14.3,
can you please give it a try and report back?

#9 - 2016-05-24 02:04 AM - Paolo Cavallini

The exercise models are not working here, and should be updated. Feel free to colse this one if it works for you.

#10 - 2016-05-24 02:20 AM - Giovanni Manghi

- Resolution set to worksforme
- Status changed from Feedback to Closed

reopen if necessary.
